Subject: disabling MMU of ARMv7-A

From: [email-masked] (Russell King - ARM Linux)
Date: Mon, 7 Apr 2014 11:33:12 +0100

On Mon, Apr 07, 2014 at 10:56:36AM +0100, Dave Martin wrote:
> Agreed -- CONFIG_MMU=n does not need to imply that the MMU is turned off:
> everything must be indentity-mapped (VA = PA), but it is still desirable
> to define attributes.  For SMP, it's *necessary* to define attributes,
> otherwise we can't guarantee working spinlocks etc.

It's also necessary for UP as well, as the load-exclusive and
store-exclusive must still work.  Remember these instructions get used
for more than just spinlocks.

-- 
FTTC broadband for 0.8mile line: now at 9.7Mbps down 460kbps up... slowly
improving, and getting towards what was expected from it.